Bug 378211

Summary: cups-1.3.4 dont work with samba and lpc
Product: [Fedora] Fedora Reporter: Hubert Thumfart <hubert.thumfart>
Component: cupsAssignee: Tim Waugh <twaugh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 8   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: 1.3.4-4.fc8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-11-28 20:41:57 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235704, 380431    

Description Hubert Thumfart 2007-11-12 11:28:44 EST
Description of problem:

After updating to "cups-1.3.4" Samba cannot print. Downgrading to "cups-1.3.3"
solves the problem. 

With the updated version "cups-1.3.4" lpc status also dont work anymore.

Version-Release number of selected component (if applicable):

cups-1.3.4-2.fc8

How reproducible:

always

Steps to Reproduce:
1. lpc status
2. printing from samba
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2007-11-13 09:59:16 EST
This works for me.  Please attach your /etc/sysconfig/i18n file.
Comment 2 Hubert Thumfart 2007-11-13 10:38:44 EST
(In reply to comment #1)
> This works for me.  Please attach your /etc/sysconfig/i18n file.

Here the content of my /etc/sysconfig/i18n file:

LANG=de_DE
LINGUAS=de_DE
LC_ALL=de_DE
SYSFONT=lat1-16
#SYSTERM=linux-lat
Comment 3 Tim Waugh 2007-11-13 11:11:26 EST
Are you running 'lpc status' from the same machine as the CUPS server or from a
different one?  Is the samba server running on the same machine as the CUPS
server or a different one?
Comment 4 Hubert Thumfart 2007-11-13 11:16:49 EST
Yes, i am running all 'lpc status' and the samba server on the same machine as cups.
Comment 5 Hubert Thumfart 2007-11-13 11:42:40 EST
I've tried to change my file /etc/sysconfig/i18n to the defaults of fedora 8 for
german language (generated by system-config-language):

LANG="de_DE.UTF-8"
SYSFONT="latarcyrheb-sun16"

Now cups-1.3.4 is working ok with 'lpc status' and samba server. I think, that
the new cups version can only work with UTF-8.

But with locale LANG="de_DE.UTF-8" many (nearly most) programs do a terrible
work with german "Umlaute" on the console. I think they are not UTF-8 ready.

Is it possible to run cups without UTF-8 in any way?


Comment 6 Tim Waugh 2007-11-13 12:02:04 EST
Okay, I think in the short term we'll have to re-enable non-UTF-8 request
handling in cupsd.  Longer term we need to get samba, KDE etc to convert
response strings from UTF-8 to the current locale encoding.
Comment 7 Fedora Update System 2007-11-20 13:08:46 EST
cups-1.3.4-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'
Comment 8 Fedora Update System 2007-11-28 20:41:54 EST
cups-1.3.4-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.